CompoundTypeRdBuffers Struct Reference

Contains buffers used by av1_compound_type_rd(). More...

`#include <block.h>`

## Data Fields

uint8_t * | pred0
| First prediction.
uint8_t * | pred1
| Second prediction.
int16_t * | residual1
| Source - first prediction.
int16_t * | diff10
| Second prediction - first prediction.
uint8_t * | tmp_best_mask_buf
| Backup of the best segmentation mask.

## Detailed Description

Contains buffers used by av1_compound_type_rd().

For sizes and alignment of these arrays, refer to alloc_compound_type_rd_buffers() function.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h